.login-pf body {
    background: url("../img/redesign/dzpb-background.jfif") no-repeat center center fixed;
    background-size: cover;
}

.alert {
    background-color: var(--dzpb-text-white);
    color: var(--dzpb-primary-cubanit-dark);
    border: none;
    margin-left: 0.7rem;
}

.alert-error {
    color: var(--dzpb-color-danger);
    display: grid;
    grid-template-columns: 0.1fr 1fr;
}

.alert-error span:first-child {
    margin: auto;
}

.kc-feedback-text {
    margin-top: 8.5px;
    margin-bottom: auto;
    margin-right: 12px;
}

.card-pf {
    margin-top: -24px;
}

.kc-locale-xl {
    display: block;
}

.kc-locale-xs {
    display: none;
}

#kc-locale {
    font-size: 12px;
    margin-right: 0;
    margin-top: 12px;
    text-align: center;
    float: unset !important;
}

#kc-locale-list {
    color: var(--dzpb-color-secondary-black-gray) !important;
}

#kc-locale-list > a {
    color: var(--dzpb-color-secondary-turquoise-dark) !important;
    text-transform: uppercase;
    text-decoration: none;
    text-align: center;
}


#kc-locale-list > a:hover {
    text-decoration: underline;
}



li.kc-dropdown-item > a:hover {
    color: red;
}

.login-pf .container {
    padding-top: 40px;
}

.login-pf a:hover {
    color: #0099d3;
}

.arrow-help {
    color: white;
    font-size: 30px;
}

#kc-logo {
    width: 100%;
}

#kc-logo-wrapper {
    background-image: url(../img/redesign/DZPB_Unternehmen_Vollton_weiß.svg);
    background-repeat: no-repeat;
    height: 80px;
    width: 240px;
    margin: 62px auto 0;
}

div.kc-logo-text {
    background-image: url(../img/redesign/DZPB_Unternehmen_Vollton_weiß.svg);
    background-repeat: no-repeat;
    height: 56px;
    /*margin: 0 auto 0 0;*/
}

div.kc-logo-text span {
    display: none;
}

#outline-help-title, #outline-help-title-top {
    text-align: center;
}

#outline-help-wrapper, #outline-help-wrapper-top {
    padding: 12px;
}

#outline-help-title, #outline-help-title-top {
    font-weight: bold;
}

#outline-help-title-top {
    padding-bottom: 12px;
}

#outline-help-content {
    padding-top: 12px;
}

#outline-help-content-left {
    text-align: center;
    padding-top: 26px;
}

#showAnimatedHelpButton:focus {
    outline: none;
}

#showAnimatedHelpButton {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    position: relative;
    height: 83px;
    width: 66px;
    top: -716px;
    left: 490px;
    border: none;
    background-color: var(--dzpb-primary-ultramarin);
    margin-bottom: -55px;
}

#showAnimatedHelpButtonTerms:focus {
    outline: none;
}

#showAnimatedHelpButtonTerms {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    position: relative;
    height: 83px;
    width: 66px;
    top: -312px;
    left: 490px;
    border: none;
    background-color: var(--dzpb-primary-ultramarin);
    margin-bottom: -55px;
}

#showAnimatedHelpButton2Faktor:focus {
    outline: none;
}

#showAnimatedHelpButton2Faktor {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    position: relative;
    height: 70px;
    width: 47px;
    left: 490px;
    top: -247px;
    border: none;
    background-color: var(--dzpb-primary-ultramarin);
    margin-bottom: -55px;
}

#showAnimatedHelpButtonUpdateProfile {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    position: relative;
    height: 83px;
    width: 66px;
    top: -497px;
    left: 490px;
    border: none;
    background-color: var(--help-question-button-color);
    margin-bottom: -55px;
}

.ui-dialog {
    z-index: 9999;
}

#help-question-button-top {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    position: absolute;
    left: 44%;
    top: 0;
    width: 70px;
    height: 47px;
    z-index: 50;
    border: none;
    background-color: var(--help-question-button-color);
    display: none; /* init value */
}

#animatedHelpDivTop {
    box-shadow: rgba(40, 40, 40, 0.6) 0 0 6px 3px;
    background: white none repeat scroll 0 0;
    position: absolute;
    top: -500px;
    flex-direction: column;
    max-width: 500px;
    /*margin-left: -10px;*/
    display: flex;
    z-index: 99999;
    margin: 1px auto;
    justify-content: center;
}

#help-question-button {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    position: absolute;
    display: none; /* #553 */
    height: 70px;
    width: 47px;
    left: 490px;
    border: none;
    background-color: var(--help-question-button-color);
    margin-bottom: -55px;
}

#showAnimatedHelpButtonUpdatePassword:focus {
    outline: none;
}

#showAnimatedHelpButtonUpdateProfile:focus {
    outline: none;
}

#animatedHelpDiv2Faktor {
    box-shadow: rgba(40, 40, 40, 0.6) 0 0 6px 3px;
    background: white none repeat scroll 0 0;
    /*height: 330px;*/
    top: -387px;
    width: 350px;
    z-index: -1;
    right: -490px;
    position: absolute;
}

#animatedHelpDivTerms {
    box-shadow: rgba(40, 40, 40, 0.6) 0 0 6px 3px;
    background: white none repeat scroll 0 0;
    width: 350px;
    z-index: -1;
    right: -490px;
    position: absolute;
}

#animatedHelpDivUpdatePassword {
    box-shadow: rgba(40, 40, 40, 0.6) 0 0 6px 3px;
    background: white none repeat scroll 0 0;
    width: 350px;
    z-index: -1;
    right: -490px;
    position: absolute;
}

#animatedHelpDivUpdateProfile {
    box-shadow: rgba(40, 40, 40, 0.6) 0 0 6px 3px;
    background: white none repeat scroll 0 0;
    width: 350px;
    z-index: -1;
    right: -490px;
    position: absolute;
}

#animatedHelpDivOtp {
    box-shadow: rgba(40, 40, 40, 0.6) 0 0 6px 3px;
    background: white none repeat scroll 0 0;
    /*height: 273px;*/
    width: 350px;
    z-index: -1;
    right: -490px;
    position: absolute;
}

#showAnimatedHelpButtonLeft {
    position: relative;
    height: 83px;
    width: 66px;
    top: -200px;
    left: -43px;
    border: none;
    background-color: var(--dzpb-primary-ultramarin);
    margin-bottom: -55px;
}

#kc-header {
    color: #ededed;
    overflow: visible;
    white-space: nowrap;
    margin: 0;
    padding: 0;
    background: rgba(255, 255, 255, 0.5);
    border-top: none;
    height: 56px;
    /*margin-top: 24px;*/
}

#kc-header-wrapper {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    /*padding: 62px 10px 20px;*/
    white-space: normal;
    margin: 0;
    padding: 0;
}

#kc-content {
    width: 100%;
}

#kc-info {
    padding-bottom: 200px;
    margin-bottom: -200px;
}

#kc-info-wrapper {
    font-size: 14px;
    color: #000;
}

#kc-form-options span {
    display: block;
}

#kc-form-options .checkbox {
    margin-top: 0;
    color: #72767b;
}

#kc-terms-text {
    margin: 0 24px 20px 24px;
}

#kc-registration {
    margin-bottom: 15px;
}

ol#kc-totp-settings {
    margin: 0;
    padding-left: 20px;
}

ul#kc-totp-supported-apps {
    margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
    max-width: 150px;
    max-height: 150px;
}

#kc-totp-secret-key {
    background-color: #fff;
    color: var(--dzpb-color-secondary-black-gray);
    font-size: 16px;
    padding: 10px 0;
    font-weight: bold;
}

/* Code */
#kc-code textarea {
    width: 100%;
    height: 8em;
}

@media (min-width: 768px) {
    #kc-container-wrapper {
        position: absolute;
        width: 100%;
    }

    .login-pf .container {
        padding-right: 80px;
    }

    /*
    #kc-locale {
        position: relative;
        text-align: right;
        z-index: 40;
        margin-top: 22px;
        margin-right: 5px;
    }
    */
}

@media (max-width: 767px) {

    .login-pf body {
        background: white;
    }

    /*#kc-header {*/
    /*    padding-left: 15px;*/
    /*    padding-right: 15px;*/
    /*    float: none;*/
    /*    text-align: left;*/
    /*}*/

    /*#kc-header-wrapper {*/
    /*    font-size: 16px;*/
    /*    font-weight: bold;*/
    /*    padding: 20px 60px 0 0;*/
    /*    color: #72767b;*/
    /*    letter-spacing: 0;*/
    /*}*/

    /*div.kc-logo-text {*/
    /*    margin: 0;*/
    /*    width: auto;*/
    /*    height: 30px;*/
    /*    background-size: 100%;*/
    /*}*/

    #kc-form {
        float: none;
    }

    #kc-info-wrapper {
        /*border-top: 1px solid rgba(255, 255, 255, 0.1);*/
        margin-top: 15px;
        /*padding-top: 15px;*/
        padding-left: 0;
        /*padding-right: 15px;*/
    }

    #kc-social-providers li {
        display: block;
        margin-right: 5px;
    }

    .login-pf .container {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #impressum {
        margin: auto;
    }

    /*#kc-logo-wrapper {*/
    /*    background-size: 100px 21px;*/
    /*    height: 21px;*/
    /*    width: 100px;*/
    /*    margin: 20px 0 0 20px;*/
    /*}*/

    /*
    #kc-locale {
        position: absolute;
        width: 200px;
        top: 7px;
        right: 20px;
        text-align: right;
        z-index: 40;
        margin-top: 0;
        margin-right: 0;
    }

    a#kc-current-locale-link {
        margin-right: 0;
    }
    */
}

@media (min-height: 646px) {
    #kc-container-wrapper {
        bottom: 12%;
    }
}

@media (max-height: 645px) {
    #kc-container-wrapper {
        padding-top: 50px;
        top: 20%;
    }
}

.card-pf form.form-actions .btn {
    float: right;
    margin-left: 10px;
}

#kc-form-buttons, #kc-form-buttons-2 {
    margin-top: 40px;
}

.login-pf-page .login-pf-brand {
    margin-top: 20px;
    max-width: 360px;
    width: 40%;
}

.card-pf {
    background: #fff;
    margin: 0 auto;
    padding: 0 20px;
    max-width: 500px;
    border-top: 0;
    box-shadow: 0 0 0;
}

/*tablet*/
@media (max-width: 840px) {
    .login-pf-page .card-pf {
        max-width: none;
        margin-left: 20px;
        margin-right: 20px;
        padding: 20px 20px 30px 20px;
    }
}

@media (max-width: 767px) {
    .login-pf-page .card-pf {
        max-width: none;
        margin-left: 0;
        margin-right: 0;
        padding-top: 0;
    }

    .card-pf.login-pf-accounts {
        max-width: none;
    }
}

.login-pf-page .login-pf-signup {
    font-size: 15px;
    color: #72767b;
}

#kc-content-wrapper .row {
    margin-left: 0;
    margin-right: 0;
}

@media (min-width: 768px) {
    .login-pf-page .login-pf-social-section:first-of-type {
        padding-right: 39px;
        border-right: 1px solid #d1d1d1;
        margin-right: -1px;
    }

    .login-pf-page .login-pf-social-section:last-of-type {
        padding-left: 40px;
    }

    .login-pf-page .login-pf-social-section .login-pf-social-link:last-of-type {
        margin-bottom: 0;
    }
}

.login-pf-page .login-pf-social-link {
    margin-bottom: 25px;
}

.login-pf-page .login-pf-social-link a {
    padding: 2px 0;
}

.login-pf-page.login-pf-page-accounts {
    margin-left: auto;
    margin-right: auto;
}

.login-pf-page .btn-primary {
    margin-top: 0;
}

.animate-me .animate-me-top {
    /* Initial state */
    display: none;
}

.control-label {
    background-color: var(--dzpb-text-white);
    color: var(--dzpb-primary-cubanit-dark);
    border: none;
}

.four-steps {
    font-size: 1.75em;
    width: 100%;
}

.four-steps-welcome {
    margin: 13px 24px 1.5rem 24px;
}

.four-steps-progress {
    text-align: center;
    margin-top: 13px;
    margin-bottom: 8px;
}

a:focus {
    outline: var(--dzpb-border-color-for-fuchsia) auto 0.08rem !important;
    outline-offset: 0.2rem;
}

.unequal-messsage {
    visibility: hidden;
    display: block;
    margin-left: -.7rem;
    background-color: var(--dzpb-text-white);
    color: var(--dzpb-primary-cubanit-dark);
    margin-top: -2rem;
}

.unequal-messsage-password {
    padding: 1rem 1rem 1rem 2.75rem;
}

.unequal-messsage-email {
    padding-left: 0.4rem;
}

.unequal-messsage.visible {
    visibility: visible;
}

.totp-bar {
    height: 0.5rem;
    background-color: var(--dzpb-primary-cubanit-dark);
}

.base-timer {
    position: relative;
    width: var(--timer-size);
    height: var(--timer-size);
    display: flex;
    margin-top: 1.5rem;
}

/* scaleX(1) = CLOCKWISE, scaleX(-1) = ANTI-CLOCKWISE */
.base-timer__svg {
    transform: scaleX(1);
}

.base-timer__circle {
    fill: none;
    stroke: none;
}

.base-timer__path-elapsed {
    stroke-width: var(--timer-stroke-width);
    stroke: var(--timer-stroke-bg-color);
}

.base-timer__path-remaining {
    stroke-width: var(--timer-stroke-width);
    stroke-linecap: round;
    transform: rotate(90deg);
    transform-origin: center;
    transition: 1s linear all;
    fill-rule: nonzero;
    stroke: currentColor;
}

.base-timer__path-remaining.arc {
    color: var(--dzpb-primary-cubanit-dark);
}

.base-timer__label {
    position: absolute;
    width: var(--timer-size);
    height: var(--timer-size);
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 21px;
}

.login-input-timer-container {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start ;
}

.login-input-timer-container input {
    width: 95%;
}

.login-input-timer-form-block {
    flex: 1 1 65px;
    min-width: 65px;
}

.login-input-timer-block {
    flex-shrink: 0;
}

.login-pf .finadesk input[type="submit"] {
    border-radius: var(--button-border-radius);
    color: var(--dzpb-text-white);
    background: var(--dzpb-color-secondary-fuchsia);
}

.login-pf .finadesk input[type="submit"]:focus-visible {
    border: none;
    outline: var(--dzpb-border-color-for-fuchsia) solid var(--dzpb-border-thickness-buttons);
}

.checkContainer input:focus + .checkmark {
    outline: var(--dzpb-border-color-for-fuchsia) auto 0.08rem !important;
}

#help-question-button:focus-visible {
    outline-color: var(--dzpb-accent-color-orange) !important;
}

.dialogStepsText {
    color: var(--dzpb-color-secondary-black-gray);
}

.sobo-hinweis {
    color: var(--dzpb-color-secondary-black-gray);
    padding: 8px 24px 19px 24px
}

.email-infotext {
    color: var(--dzpb-color-secondary-black-gray);
    padding: 0 0 0 24px;
}

/*selectoren für elemente, die vorher von input submit auf button umgestellt wurden.
muss aber im kommenden steps aufgeräumt werden, so dass wir *alle* buttons einheitlich haben! */
#kc-logout, #kc-login, #kc-login-2 {
    border: none !important;
}
